Member Nodes - Story #6809

MNDeployment # 3228 (Operational): NCEI - National Centers for Environmental Information

NODC: Design, code and component test a new MN implementation
2015-02-03 18:28 - Laura Moyers

Status: Closed Start date: 2015-04-01
Priority: Normal Due date:

Assignee: Mark Servilla % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Operational

Story Points:

Description
If a new MN is being developed from scratch, tickets in this section will track progress.

Subtasks:
Task # 6982: FTP Client to retrieve package and package component URLs Closed
Task # 6983: Determine type of metadata and the rules for parsing for indexing Closed
Task # 6984: For each Tier 1 MN method, determine how response should be constructed Closed
Task # 6985: Create resource map documents for each package Closed
Task # 6990: rerun nodc_listObjects tomorrow to see if any ID values have changed Closed
Task # 6986: Strategy for synchronrizing content after it changes on the NODC server Closed
Task # 6987: Some FTP end points do not have a manifest document - how to handle? Closed
Task # 6988: Create System Metadata for data objects Closed
Task # 6989: Determine how to map objects to DataONE object formats Closed
History

#1 - 2015-04-01 21:38 - Dave Vieglais
List of objects from NODC CSW service:

ftware/cicore/trunk/mn/SlenderN /Implementation/nodc_curl/data/

Script to retrieve list of objects:

https://repository.dataone.org/software/cicore/trunk/mn/SlenderNodes/Implementation/nodc_curl

#2 - 2015-04-01 23:06 - Rob Nahf
A link to GetRecords (the CSW equivalent of listObjects):

https://data.nodc.noaa.gov/geoportal/csw/discovery?Request=GetRecords&resulttype=results&Service=CSW&maxrecords=10&startposition=1

the response contains zero or more RecordSummary elements which provide further links to actual content.

#3 - 2016-01-22 16:32 - Laura Moyers
- % Done changed from 0 to 30
- Status changed from New to In Progress

- Assignee set to Mark Servilla
Mark is working on NCEI from the "CSW endpoint adapter to GMN" perspective; Dave is working on NCEI from the "do we have / can we build all
required information" perspective. NCEI requires GMN v2 to proceed.

#4 - 2018-01-22 16:53 - Dave Vieglais

- Tracker changed from Task to Story
#5 - 2018-04-05 16:45 - Amy Forrester

- % Done changed from 30 to 100

- Status changed from In Progress to Closed
